Skip to main content
GET
/
v1
/
connectors
/
{connector_id}
Get a connector
curl --request GET \
  --url https://api.databar.ai/v1/connectors/{connector_id} \
  --header 'x-apikey: <x-apikey>'
{
  "id": 123,
  "name": "<string>",
  "type": "<string>",
  "method": "<string>",
  "url": "<string>",
  "headers": [],
  "parameters": [],
  "body": [],
  "body_template": "<string>",
  "rate_limit": 123,
  "max_concurrency": 123,
  "created_at": "<string>"
}

Headers

x-apikey
string
required

API Key for authentication

Path Parameters

connector_id
integer
required

The connector ID

Response

Successful Response

id
integer
required
name
string
required
type
string
required
method
string
required
url
string
required
headers
NameValue · object[]
parameters
NameValue · object[]
body
NameValue · object[]
body_template
string | null
rate_limit
integer | null
max_concurrency
integer | null
created_at
string | null